﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp14
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<RadInfo> source { get; set; }

        public MainWindow()
        {
            InitializeComponent();

            this.source = new ObservableCollection<RadInfo>();

            for (int i = 1; i <= 50; i++)
            {
                if (i % 2 == 0)
                {
                    this.source.Add(new RadInfo() 
                    {
                        Id = i,
                        Name = "Client " + i,
                        Age = 20, 
                        PhoneNumber = 123456789,
                        Gender = "Male",
                        City = "New York",
                    });
                }

                else
                {
                    this.source.Add(new RadInfo()
                    {
                        Id = i,
                        Name = "Client " + i,
                        Age = 30,
                        PhoneNumber = 987654321,
                        Gender = "Female",
                        City = "Monaco",
                    });
                }
            }

            this.DataContext = this.source;
        }
    }

    public class RadInfo
    {
        public int Id { get; set; }

        public string Name { get; set; }

        public int Age { get; set; }

        public string Gender { get; set; }

        public int PhoneNumber { get; set; }

        public string City { get; set; }
    }
}
