﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;

namespace WpfApp14
{
    public class CityStyleSelector : StyleSelector
    {
        public Style NewYorkCityStyle { get; set; }

        public Style MonacoCityStyle { get; set; }

        public override Style SelectStyle(object item, DependencyObject container)
        {
            if (item is RadInfo)
            {
                var radInfo = item as RadInfo;

                if (radInfo.City == "New York")
                {
                    return this.NewYorkCityStyle;
                }
                else
                {
                    return this.MonacoCityStyle;
                }
            }

            return null;
        }
    }
}
